unit Dirsel;

{ dialog box wrapper of Select Directoy Box Dialog By N Lath
nlath@kalinga.com
http://kalinga.com/lath
March 1998

----------- background -----------------
I had difficulty in findinng an appropriate dir select component. Then I began
to develop the current one for use in one of my application. It is not difficult.
However at times it is very useful.
This is also one of my first component. Please bear with me
------------------------------------------

----------- installation ----------------
copy dirsel.pas and seldirdl.pas to your lib and add dirsel.pas to the library
by using option | add component.
The component will be added in dialog pallette.
---------------------------------------------


---------- using direction --------------
Drop the component.
Set the caption property for the dialog box property and to execute issue
SelectDirectoryDlgBox1.Execute;
Directory Selected is returned in SelectedDirectory Property
---------- -----------------------------

---------- demo --------------------
after component is installed you can run demo programm seldir.dpr
------------------------------------

--------- YOUR COMMENTS ARE MOST WELCOME --------
nlath@kalinga.com

Natwar lath
Uditnagar
ROURKELA 769012
INDIA




}


interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, SelDirDl;

type
  TSelectDirectoryBoxDlg = class(TComponent)

  private
    FCaption, FSelectedDirectory : string;
    FResult : integer;

  public
    procedure Execute;

  published
    property Caption : string read FCaption write FCaption;
    property SelectedDirectory : string read FSelectedDirectory write FSelectedDirectory;
    property Result: integer read FResult write FResult;
  end;

var
  DirectoryBox: TfrmSelDirDlg;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Dialogs', [TSelectDirectoryBoxDlg]);
end;

procedure TSelectDirectoryBoxDlg.Execute;
begin

     { Create dialog in memory }
     DirectoryBox := TfrmSelDirDlg.Create(Application);
     { Set dialog strings }
     DirectoryBox.Caption:= Caption;
     with DirectoryBox do
     begin
       Result := ShowModal;
     end;
     if (Result = IDOK) then
        SelectedDirectory := DirectoryBox.SelectedDirectory.Caption;
     DirectoryBox.Free;
end;

end.
