unit Seldirdl;
{ for documentation see dirsel.pas
THIS FILE IS CALLED by DirSel.PAS
}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, FileCtrl, ExtCtrls;

type
  TfrmSelDirDlg = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    SelectedDirectory: TLabel;
    Edit1: TEdit;
    Panel3: TPanel;
    Panel4: TPanel;
    DriveComboBox1: TDriveComboBox;
    Panel5: TPanel;
    DirectoryListBox1: TDirectoryListBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    procedure DirectoryListBox1Change(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure DriveComboBox1Change(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSelDirDlg: TfrmSelDirDlg;

function  nlmd ( NameofDir : string) : boolean;

implementation

{$R *.DFM}

procedure TfrmSelDirDlg.DirectoryListBox1Change(Sender: TObject);
begin
edit1.text := ExtractFileName(DirectoryListBox1.Directory);
end;


function  nlmd ( NameofDir : string) : boolean;
begin
  {$I-}
  { Get directory name from TEdit control }
  MkDir(NameOfDir);
  if IOResult <> 0 then
    begin
      MessageDlg(NameOfDir + #13 + 'Cannot create directory. Please reselect.', mtWarning, [mbOk], 0);
      nlmd := FALSE;
    end
  else
    begin
       MessageDlg(NameOfDir + #13 + 'New directory created', mtInformation, [mbOk], 0);
       nlmd := TRUE;
    end;
  {endif}
end;


procedure TfrmSelDirDlg.BitBtn3Click(Sender: TObject);
begin
nlmd(edit1.text);
DirectoryListBox1.Refresh;
end;


procedure TfrmSelDirDlg.DriveComboBox1Change(Sender: TObject);
begin
DirectoryListBox1.Drive := DriveComboBox1.Drive;
end;

procedure TfrmSelDirDlg.BitBtn4Click(Sender: TObject);
var MyString : string;
begin
MySTring := ExtractFilePath(DirectoryListBox1.Directory) ;
ChDir(MyString);
DirectoryListBox1.Refresh;
end;

end.
